Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1289 (new enhancement)

Opened 15 years ago

Last modified 15 years ago

802.11n support

Reported by: turbo@bayour.com Assigned to:
Priority: minor Milestone:
Component: madwifi: 802.11 stack Version: trunk
Keywords: 802.11n Cc:
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

After finally getting WPA2 working in 0.9.30 (see bug comment 175 in ticket 1001, it would be SO very nice to have 802.11n working as well.

Change History

05/01/07 21:59:10 changed by turbo@bayour.com

If we could get that before Apple releases a 11n driver, that would help me shut up my MacOS budy. He's been quite ... annoying ... :)

05/07/07 14:59:18 changed by mrenzmann

  • description changed.

Driver support for 802.11n (means: everything that goes beyond the "legacy support" which is available in the madwifi-hal-0.9.30.x branches) requires a bunch of changes to the driver and net80211 (the 802.11 stack). It's unlikely that we will take care of the latter, as we will move MadWifi to mac80211 in the not-so-far future. And the driver changes won't help without 11n-support in the used 802.11 stack.

Bottom line: this feature request will be fulfilled, but this won't happen anytime soon (as far as I can tell at this time). You should definitely not hold your breath on it.

05/21/07 20:51:49 changed by mentor

  • version changed from madwifi-hal-0.9.30.10 branch to trunk.
  • summary changed from 802.11n missing in branch 0.9.30 to 802.11n support.

Retargetting